Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ContractProductsCredit
    Inherits BaseObject

    Private _Contracts As Contracts
    Private _ProductsCredit As ProductsCredit
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("Contracts-ContractProductsCredit", GetType(Contracts))> _
    Property Contract As Contracts
        Get
            Return _Contracts
        End Get
        Set(value As Contracts)
            SetPropertyValue("Contracts", _Contracts, value)
        End Set
    End Property
    Property ProductsCredit As ProductsCredit
        Get
            Return _ProductsCredit
        End Get
        Set(value As ProductsCredit)
            SetPropertyValue("ProductsCredit", _ProductsCredit, value)
        End Set
    End Property
End Class
